<script setup lang="ts">
import Error from '~/components/pub/my-ui/error/error.vue'

definePageMeta({
  roles: ['doctor', 'nurse', 'admisi', 'pharmacy', 'billing', 'management'],
  title: 'Daftar Divisi Posisi',
  contentFrame: 'cf-container-lg',
})

const route = useRoute()

useHead({
  title: () => route.meta.title as string,
})

const canRead = true
</script>

<template>
  <template v-if="canRead">
    <ContentDivisionPositionList />
  </template>
  <Error v-else :status-code="403" />
</template>
